﻿using System;
using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Alignment[] alignmentArray = (Alignment[])Enum.GetValues(typeof(Alignment));

            for(int i = 0; i < alignmentArray.Length; i++)
            {
                double fraction = (double)i / alignmentArray.Length;
                double x        = Math.Sin(fraction * Math.PI * 2);
                double y        = Math.Cos(fraction * Math.PI * 2);

                Text text = plot.AddText(alignmentArray[i].ToString(), x, y);

                text.Alignment       = alignmentArray[i];
                text.Rotation        = 5;
                text.BorderSize      = 2;
                text.BorderColor     = Color.Navy;
                text.BackgroundFill  = true;
                text.BackgroundColor = Color.LightSteelBlue;
                text.Font.Color      = Color.Black;

                plot.AddPoint(x, y, Color.Red, 10);
            }

            plot.Margins(0.5, 0.2);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}